Bug 1360778 - Vault commands are available in CLI even when the server does not support them
Summary: Vault commands are available in CLI even when the server does not support them
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 13:06 UTC by Martin Bašti
Modified: 2016-11-04 05:59 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 05:59:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description Martin Bašti 2016-07-27 13:06:11 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/6089

The `vault-add`, `vault-mod`, `vault-archive` and `vault-retrieve` client-side commands are available in CLI even for old IPA servers which do not support them.

The commands should be available only for IPA 4.2 and later server versions.

Comment 3 Scott Poore 2016-09-10 21:41:42 UTC
Verified.

Version ::

IPA Server:  ipa-server-4.1.0-18.el7_1.6.x86_64

IPA Client: ipa-client-4.4.0-10.el7.x86_64

Results ::

On client:

[root@vm2 ~]# ipa help vault
ipa: ERROR: no command nor help topic 'vault'

[root@vm2 ~]# ipa vault-add
ipa: ERROR: unknown command 'vault-add'

[root@vm2 ~]# ipa vault-find
ipa: ERROR: unknown command 'vault-find'

Comment 5 errata-xmlrpc 2016-11-04 05:59:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.